#include "PlayerStatusViewData.h"


FPlayerStatusViewData::FPlayerStatusViewData()
{
	this->PlayerId = TEXT("");
	this->PlayerName = TEXT("");
	this->PlayerPortraitIcon = NULL;
	this->PlayerPortraitIconOverride = NULL;
	this->PlayerStatusState = EPlayerStatus::Default;
	this->TimerProgress = 0.0f;
	this->IsDeepWound = false;
	this->IsBroken = false;
	this->IsBot = false;
	this->IsPlayerAKiller = false;
	this->IsLocalPlayerAKiller = false;
	this->IsActivityHidden = false;
	this->ForceShowActivity = false;
	this->ObsessionState = EObsessionUIState::Off;
	this->DrainStage = 0;
	this->HasSpecialHookDrainStage = false;
	this->ConnectionQualityStatus = EConnectionQuality::Good;
	this->Template = EPlayerStatusTemplate::Default;
	this->CharacterClassIcon = NULL;
	this->KillersStatusData = TArray<UKillerStatusData*>();
	this->CampProgress = 0.0f;
	this->GameType = EGameType::Online;
	this->EventBannerLabel = TEXT("");
	this->IsEventIconShown = false;
}
